# Google Cloud AI Platform Samples

These samples demonstrate how to interact with the [Google Cloud Vertex AI][vertex-ai] using C# and
the .NET client libraries to call the Vertex AI API.

The samples require [.NET 6][net-6] or later.  That means using

[Visual Studio 2022](https://www.visualstudio.com/), or the command line.

## Setup

1. Set up a [.NET development environment](https://cloud.google.com/dotnet/docs/setup).

1. Enable APIs for your project.
    [Click here][enable-api] to visit Cloud Platform Console and enable the Google Cloud Document AI API.


## Contributing changes

* See [CONTRIBUTING.md](../../CONTRIBUTING.md)

## Licensing

* See [LICENSE](../../LICENSE)

## Testing

* See [TESTING.md](../../TESTING.md)

[vertex-ai]: https://cloud.google.com/vertex-ai/docs/start/introduction-unified-platform
[enable-api]: https://console.cloud.google.com/flows/enableapi?apiid=aiplatform.googleapis.com&showconfirmation=true
[net-6]: https://dotnet.microsoft.com/download/dotnet/6.0
