﻿// Copyright 2020 Google Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

using System.Threading.Tasks;
using Xunit;

[Collection(nameof(SpannerFixture))]
public class RunCommandWithQueryOptionsAsyncTest
{
    private readonly SpannerFixture _spannerFixture;

    public RunCommandWithQueryOptionsAsyncTest(SpannerFixture spannerFixture)
    {
        _spannerFixture = spannerFixture;
    }

    [Fact]
    public async Task TestRunCommandWithQueryOptionsAsync()
    {
        RunCommandWithQueryOptionsAsyncSample sample = new RunCommandWithQueryOptionsAsyncSample();
        var albums = await sample.RunCommandWithQueryOptionsAsync(_spannerFixture.ProjectId, _spannerFixture.InstanceId, _spannerFixture.DatabaseId);
        Assert.Contains(albums, a => a.AlbumId == 1 && a.AlbumTitle == "Total Junk");
        Assert.Contains(albums, a => a.AlbumId == 2 && a.AlbumTitle == "Go, Go, Go");
    }
}
